Booking Request Transfers logo icon


This method will allow you to confirm ratekeys, remember you can confirm one ratekey as well as multiples with same booking reference.


Endpoint:

POST https://api.test.hotelbeds.com/transfer-api/1.0/bookings


Request parameters

Node/Attribute

Type

Mandatory

Description

RQ

Element

Y

Top level

RQ/language

String

Y

Requested language code

RQ/holder

Element

Y

Booking holder/lead passenger information

RQ/holder/name

String

Y

Lead passenger first name

RQ/holder/surname

String

Y

Lead passenger last name

RQ/holder/email

String

Y

Lead passenger contact email

RQ/holder/phone

String

Y

Passenger phone number, in the international E.164 format

RQ/transfers

Array of transfer elements

Y

List of requested transfer services

RQ/transfers/transfer

Element

Y

Information of one requested transfer service

RQ/transfers/transfer/rateKey

String

Y

Rate key to be confirmed taken from the availability step

RQ/transfers/transfer/pickupInformation Element Y Custom information used to override default pickup information for the confirmation of GPS services
RQ/transfers/transfer/pickupInformation/name String Y  Pickup address information. NOTE: Mandatory field if the pickupInformation element is sent in the request
RQ/transfers/transfer/pickupInformation/address String Y  Pickup address information. NOTE: Mandatory field if the pickupInformation element is sent in the request
RQ/transfers/transfer/pickupInformation/town String Y Pickup address information. NOTE: Mandatory field if the pickupInformation element is sent in the request
RQ/transfers/transfer/pickupInformation/country String Y Pickup address information. NOTE: Mandatory field if the pickupInformation element is sent in the request
RQ/transfers/transfer/pickupInformation/zip String Y Pickup address information. NOTE: Mandatory field if the pickupInformation element is sent in the request
RQ/transfers/transfer/dropoffInformation String Y Custom information used to override default dropoff information for the confirmation of GPS services
RQ/transfers/transfer/dropoffInformation/name String Y Dropoff address information.  NOTE: Mandatory field if the dropoffInformation element is sent in the request
RQ/transfers/transfer/dropoffInformation/address String Y Dropoff address information. NOTE: Mandatory field if the dropoffInformation element is sent in the request
RQ/transfers/transfer/dropoffInformation/town String Y Dropoff address information. NOTE: Mandatory field if the dropoffInformation element is sent in the request
RQ/transfers/transfer/dropoffInformation/country String Y Dropoff address information. NOTE: Mandatory field if the dropoffInformation element is sent in the request
RQ/transfers/transfer/dropoffInformation/zip String Y Dropoff address information.  NOTE: Mandatory field if the dropoffInformation element is sent in the request
RQ/transfers/transfer/transferDetails Array of elements Y Information about the ride from which the transfer will pick up passengers.
RQ/transfers/transfer/transferDetails/transferDetail Element Y Ride information
RQ/transfers/transfer/transferDetails/transferDetail/type String Y Ride type. Possible values:
  • FLIGHT
  • CRUISE
  • TRAIN
RQ/transfers/transfer/transferDetails/transferDetail/direction String Y Ride direction. Possible values:
  • ARRIVAL
  • DEPARTURE
RQ/transfers/transfer/transferDetails/transferDetail/code String Y Ride identification number(e.g., flight number). NOTE: The maximum length of this field is 7 characters for flights and trains, and up to 50 characters for cruises.
RQ/transfers/transfer/transferDetails/transferDetail/companyName String N Indicates the name of the company which operates the ride transport. NOTE: Normally used in ship transports.
RQ/transfers/transfer/extras Array of elements N
  • (NEW) Extras information (Optional).
RQ/transfers/transfer/extras/units Number N
  • (NEW) Number of units the client requests for each extra.
RQ/transfers/transfer/extras/code String N
  • (NEW) API code of the extra requested.

RQ/clientReference

String

N

Client internal booking reference

RQ/remark

String

N

Comments. NOTE: The character limit in this field is 2000 characters.




Request example (one service)

{
  "language": "en",
    "holder": {
        "name": "John",
        "surname": "Doe",
        "email": "john.doe@hotelbeds.com",
        "phone": "+16543245812"
    },
    "transfers": [
        {
            "rateKey": "ARRIVAL|IATA|BCN|ATLAS|57|2026-05-08|10:00|2026-05-08|10:00|2~0~0||3|||||102|PRVT||CR|STND|37.35||||43|57|SIMPLE|a1f662fd31f7b2b2da13f2c08487037a|1444356|T|bfmghpcvn9jkxqcwnsfsbpn4|2026-02-03|12:40",
            "transferDetails": [
              {
                "type": "FLIGHT",
                "direction": "ARRIVAL",
                "code": "XR1234",
                "companyName": "AirCompany"
              }
          ]
        }
    ],
    
    "clientReference": "Agency reference",
    "welcomeMessage": "Welcome Mr. John Doe",
    "remark": "Remarks go here."
}

This will confirm only one service.


Confirming multiple ratekeys (services)

Useful to confirm roundtrips or confirm twice the same service in case the requested paxes can't fit in one service (vehicle).

{
    "language": "es",
    "holder": {
        "name": "John",
        "surname": "Doe",
        "email": "john.doe@hotelbeds.com",
        "phone": "+16543245812"
    },
    "transfers": [
        {
            "rateKey": "ARRIVAL|IATA|BCN|ATLAS|57|2026-05-08|10:00|2026-05-08|10:00|2~0~0||3|||||102|PRVT||CR|STND|37.35||||43|57|SIMPLE|a1f662fd31f7b2b2da13f2c08487037a|1444356|T|bfmghpcvn9jkxqcwnsfsbpn4|2026-02-03|12:57",
            "transferDetails": [
            	{
            		"type": "FLIGHT",
            		"direction": "ARRIVAL",
            		"code": "XR1234",
            		"companyName": "AirCompany"
            	}
        	]
        },
        {
            "rateKey": "DEPARTURE|ATLAS|57|IATA|BCN|||2026-05-09|11:00|2~0~0||99|||||102|SHRD||SH|PRM|29.20||||519|BCN|SIMPLE|7d160a8a77215761f7a1001838fcc812|1396869|T|bfmghpcvn9jkxqcwnsfsbpn4|2026-02-03|12:57",
            "transferDetails": [
            	{
            		"type": "FLIGHT",
            		"direction": "DEPARTURE",
            		"code": "XR1234",
            		"companyName": "AirCompany"
            	}
        	]
        }
    ],
    "clientReference": "Agency reference",
    "welcomeMessage": "Welcome Mr. John Doe",
    "remark": "Remarks go here."
}

Note, all ratekeys confirmed in same request will have same booking reference



Post Booking Operations

Once you have confirmed bookings, there's a series of operations that can be performed:

  • BookingDetail : To retrieve the information of a specific booking.

  • BookingList : To retrieve booking list of a specific dates range.

Bear in mind that you will need the booking HB reference of the bookings you carried out to perform post booking operations.


Booking response example

When the confirmation of a rateKey is successful; the booking reference is provided, along with key information of the booking, which includes:

  • Transfer service confirmed, with its locator
  • Holder and pax confirmed
  • Rate confirmed with the confirmed amounts and dates

Please make sure to keep the HB booking reference of all bookings performed with your credentials, as they are needed for post booking operations such as modification or cancellation.


Response parameters

r>

Node/Attribute

Type

Description

RS Element Top level
RS/bookings Array of booking elements List of bookings.
NOTE: in confirmation step you'll always will receive only one booking in this array.
RS/bookings/booking Element Booking information
RS/bookings/booking/reference String

Booking reference. Format: XXX-XXXXXX

RS/bookings/booking/creationDate Date Booking creation date.
Format: YYYY-MM-DD
RS/bookings/booking/status

Booking status.

  • CONFIRMED
  • CANCELLED
  • MODIFIED
RS/bookings/booking/modificationsPolicies Element Information regarding the allowed modifications to the booking
RS/bookings/booking/modificationsPolicies/cancellation Boolean Indicates if the booking can be cancelled
RS/bookings/booking/modificationsPolicies/modification Boolean Indicates if the booking can be modified
RS/bookings/booking/holder Element Booking lead passenger/holder information
RS/bookings/booking/holder/name String First name of the lead passenger
RS/bookings/booking/holder/surname String Last name of the lead passenger
RS/bookings/booking/holder/email String Lead passenger contact email
RS/bookings/booking/holder/phone String Lead passenger contact phone number
RS/bookings/booking/transfers Array of transfer elements List of reserved transfer services
RS/bookings/booking/transfers/transfer Element Information of one reserved transfer service
RS/bookings/booking/transfers/transfer/id Int Transfer service id code
RS/bookings/booking/transfers/transfer/direction String

Direction of travel. Possible values:

  • DEPARTURE
  • ARRIVAL
RS/bookings/booking/transfers/transfer/status String

Transfer service status.

  • CONFIRMED
  • CANCELLED
RS/bookings/booking/transfers/transfer/transferType String

Transfer type. Possible values:

  • SHARED
  • PRIVATE
RS/bookings/booking/transfers/transfer/vehicle Element Information of the vehicle
RS/bookings/booking/transfers/transfer/vehicle/code String Vehicle code id
RS/bookings/booking/transfers/transfer/vehicle/name String Vehicle name
RS/bookings/booking/transfers/transfer/category Element Service category information
RS/bookings/booking/transfers/transfer/category/code String Category code
RS/bookings/booking/transfers/transfer/category/name String Category name
RS/bookings/booking/transfers/transfer/pickupInformation Element Information regarding the pickUp locations
RS/bookings/booking/transfers/transfer/pickupInformation/from Element Information regarding the pickUp origin location
RS/bookings/booking/transfers/transfer/pickupInformation/from/code String Code of the pickUp origin location
RS/bookings/booking/transfers/transfer/pickupInformation/from/description String Description of the pickUp origin location
RS/bookings/booking/transfers/transfer/pickupInformation/from/type String

PickUp origin location code type. Possible values:

  • GIATA
  • ATLAS
  • IATA
  • PORT
  • STATION
  • GPS
RS/bookings/booking/transfers/transfer/pickupInformation/to Element Information regarding the pickUp destination location
RS/bookings/booking/transfers/transfer/pickupInformation/to/code String Code of the pickUp destination location
RS/bookings/booking/transfers/transfer/pickupInformation/to/description String Description of the pickUp destination location
RS/bookings/booking/transfers/transfer/pickupInformation/to/type String

PickUp destination location code type. Possible values:

  • GIATA
  • ATLAS
  • IATA
  • PORT
  • STATION
  • GPS
RS/bookings/booking/transfers/transfer/pickupInformation/date String Pickup date
RS/bookings/booking/transfers/transfer/pickupInformation/time String Pickup time
RS/bookings/booking/transfers/transfer/pickupInformation/pickup Element Information of the pickup
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/address String Physical address of the pickup
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/number String Number of the address of the pickup
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/town String City name of the address of the pickup
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/zip String Postal code of the address of the pickup
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/description String Pickup description an instrucctions to reach the place
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/altitude String Elevation from sea level
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/latitude String Latitude data for geolocation
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/longitude String Longitude data for geolocation
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/checkPickup Element Further instructions in order to confirm the exact pickup time

RS/bookings/booking/transfers/transfer/pickupInformation/pickup/checkPickup/mustCheckPickupTime

Boolean

Indicates whether the user needs to confirm exact pickup time on external website

RS/bookings/booking/transfers/transfer/pickupInformation/pickup/checkPickup/url String

URL the user needs to visit in order to confirm pickup time

 RS/bookings/booking/transfers/transfer/pickupInformation/pickup/checkPickup/hoursBeforeConsulting Int

Indicates how many hours before the service, the pickup time will be available on the website

RS/bookings/booking/transfers/transfer/pickupInformation/pickup/pickupId Int The information of this tag has been deprecated in the current API, the response will always be null
RS/bookings/booking/transfers/transfer/pickupInformation/pickup/stopName String The information of this tag has been deprecated in the current API, the response will always be null
RS/bookings/booking/transfers/transfer/paxes Array of pax elements Collection of passengers in the reservation
RS/bookings/booking/transfers/transfer/paxes/pax Element Passenger information
RS/bookings/booking/transfers/transfer/paxes/pax/type String

Passenger type. Possible values:

  • ADULT
  • CHILD
  • INFANT
RS/bookings/booking/transfers/transfer/content Element Static information of the transfer service
RS/bookings/booking/transfers/transfer/content/vehicle Element Information of the vehicle used in the transfer service
RS/bookings/booking/transfers/transfer/content/vehicle/code String Vehicle code used in the transfer service
RS/bookings/booking/transfers/transfer/content/vehicle/name String Name of the type of the vehicle used in the transfer service
RS/bookings/booking/transfers/transfer/content/category Element Information of the category of the transfer service
RS/bookings/booking/transfers/transfer/content/category/code String Category code of the transfer service
RS/bookings/booking/transfers/transfer/content/category/name String Category name of the ttransfer service category
RS/bookings/booking/transfers/transfer/content/images Array of image elements List of transfer pictures
RS/bookings/booking/transfers/transfer/content/images/image Element Image information
RS/bookings/booking/transfers/transfer/content/images/image/url String Path of the picture file
RS/bookings/booking/transfers/transfer/content/images/image/type String Type name of the picture. The image size will be unique regardless the value selected
  • SMALL
  • MEDIUM
  • LARGE
  • EXTRALARGE
RS/bookings/booking/transfers/transfer/content/transferDetailInfo Array of transferDetailInfo elements Collection of detailed information about the transfer
RS/bookings/booking/transfers/transfer/content/transferDetailInfo/transferDetailInfo Element Transfer detailed information
RS/bookings/booking/transfers/transfer/content/transferDetailInfo/transferDetailInfo/id String Information id
RS/bookings/booking/transfers/transfer/content/transferDetailInfo/transferDetailInfo/name String Information name
RS/bookings/booking/transfers/transfer/content/transferDetailInfo/transferDetailInfo/description String Details and information on the transfer
RS/bookings/booking/transfers/transfer/content/transferDetailInfo/transferDetailInfo/type String

Transfer detail info type. Possible values:

  • GENERAL_INFO
RS/bookings/booking/transfers/transfer/content/customerTransferTimeInfo Element The information of this tag has been deprecated in the current API, the response will always be null
RS/bookings/booking/transfers/transfer/content/customerTransferTimeInfo Array of Objects A collection of objects related with the maximum waiting time that a clients had to wait the service. In the current version this value will be always delivered null
RS/bookings/booking/transfers/transfer/content/supplierTransferTimeInfo Array of Objects
  • (NEW) A collection of objects related with the maximum waiting time of suppliers in terminals. Can be null if not provided.
RS/bookings/booking/transfers/transfer/content/supplierTransferTimeInfo/value String or Null
  • (NEW) Numeric value associated with the time information (e.g., maximum waiting time). Can be null if not provided.
RS/bookings/booking/transfers/transfer/content/supplierTransferTimeInfo/type String
  • (NEW) Fix name related with the time-related information provided by the supplier.
RS/bookings/booking/transfers/transfer/content/supplierTransferTimeInfo/metric String
  • (NEW) Specifies the unit of measurement for the value (e.g., minutes).
RS/bookings/booking/transfers/transfer/content/supplierTransferTimeInfo/remarks String
  • (NEW) Provides detailed remarks or instructions related to the supplier’s time policy.
RS/bookings/booking/transfers/transfer/content/transferRemarks Element  Transfer service remarks
RS/bookings/booking/transfers/transfer/content/transferRemarks/type String

Remark possible values:

  • CONTRACT
  • AGENCY
RS/bookings/booking/transfers/transfer/content/transferRemarks/description String  Remark content
RS/bookings/booking/transfers/transfer/content/transferRemarks/mandatory Boolean  Mandatory remark
RS/bookings/booking/transfers/transfer/price Element Price information of the transfer service
RS/bookings/booking/transfers/transfer/price/totalAmount Number Total amount of the booking
RS/bookings/booking/transfers/transfer/price/transferAmount Number
  • (NEW) Cost of the base transfer (optional — this field is included only when extras are present).
RS/bookings/booking/transfers/transfer/price/extrasAmount Number
  • (NEW) Cost of all requested extras (optional — this field is included only when extras are present).
RS/bookings/booking/transfers/transfer/price/netAmount Double Net amount of the booking
RS/bookings/booking/transfers/transfer/price/currencyId String Currency
RS/bookings/booking/transfers/transfer/rateKey String Does not apply on Booking response
RS/bookings/booking/transfers/transfer/cancellationPolicies Array of cancellationPolicy elements List of cancellation policies applied to the transfer service
RS/bookings/booking/transfers/transfer/cancellationPolicies/cancellationPolicy Element Information of the cancellation policy
RS/bookings/booking/transfers/transfer/cancellationPolicies/cancellationPolicy/amount Double Amount to be charged in case booking is cancelled after the date specified in the '@from' field.
RS/bookings/booking/transfers/transfer/cancellationPolicies/cancellationPolicy/from String Date from which the amount will be charged, format ISO 8601 (yyyy-MM-ddTHH:mm:ssZ)
RS/services/service/cancellationPolicies/cancellationPolicy/utcOffset String
    (NEW) Cancellation policy responses will now include the UTC offset of the destination
RS/bookings/booking/transfers/transfer/cancellationPolicies/cancellationPolicy/currencyId String Currency
RS/bookings/booking/transfers/transfer/links Array of link elements Information on the navigation links available from the current operation
RS/bookings/booking/transfers/transfer/links/link Element Link information
RS/bookings/booking/transfers/transfer/links/link/rel String Specifies the relationship between the current document and the linked document/resource
RS/bookings/booking/transfers/transfer/links/link/href String Specifies the path of the resource the link goes to
RS/bookings/booking/transfers/transfer/links/link/method String HTTP method
RS/bookings/booking/transfers/transfer/factsheetId Int Content card number associated with the transfer, identifies the relationship between type of vehicle, type of service and type of transfer
RS/bookings/booking/transfers/transferDetails Array of transfer details elements Information about the ride from which the transfer will pick up passengers.
RS/bookings/booking/transfers/transferDetails/transferDetail Element Ride information
RS/bookings/booking/transfers/transferDetails/transferDetail/type String Ride type. Possible values:
  • FLIGHT
  • CRUISE
  • TRAIN
RS/bookings/booking/transfers/transferDetails/transferDetail/direction String Ride direction. Possible values:
  • ARRIVAL
  • DEPARTURE
RS/bookings/booking/transfers/transferDetails/transferDetail/code String Ride identification number(e.g., flight number)
RS/bookings/booking/transfers/transferDetails/transferDetail/companyName String Indicates the name of the company which operates the ride transport. NOTE: Normally used in ship transports.

RS/bookings/booking/transfers/transfer/sourceMarketEmergencyNumber

String

Source market emergency number

RS/bookings/booking/transfers/transfer/links Array of Objects

List of links related to the transfer (e.g., cancellation link).

RS/bookings/booking/transfers/transfer/links/rel String

Relation type that identifies the purpose of the link.

RS/bookings/booking/transfers/transfer/links/href String

RL associated with the action defined by the link.

RS/bookings/booking/transfers/transfer/links/method String

RTTP method to be used when calling the link (e.g., DELETE).

RS/bookings/booking/transfers/transfer/extras Array of Objects
  • (NEW) List of extras included in the booking (optional — shown only when extras exist).
RS/bookings/booking/transfers/transfer/extras/amount Number
  • (NEW) Total cost of the extra requested.
RS/bookings/booking/transfers/transfer/extras/type String
  • (NEW) Description of the extra (e.g., Pushchair).
RS/bookings/booking/transfers/transfer/extras/code String
  • (NEW) API code of the extra.
RS/bookings/booking/transfers/transfer/extras/units Number
  • (NEW) Number of units of the extra requested by the client.
RS/services/service/vouchers Array of voucher elements (NEW) List of links to Hotelbeds' standard voucher. These vouchers are optional and provided for partners who prefer to use Hotelbeds’ standard document instead of generating their own.
RS/services/service/vouchers/voucher Element (NEW) Voucher metadata information.
RS/services/service/vouchers/voucher/url String (NEW) Direct URL to the voucher file.
RS/services/service/vouchers/voucher/mimeType String (NEW) File type of the voucher. Possible values:
  • text/html
  • application/pdf
RS/services/service/vouchers/voucher/dateFrom String (NEW) Start datetime of voucher validity.
RS/services/service/vouchers/voucher/dateTo String (NEW) End datetime of voucher validity.
RS/services/service/vouchers/voucher/language String (NEW) Language of the voucher file (e.g. ENG).
RS/services/service/provider Element (NEW) Information regarding the supplier of the service.
RS/services/service/provider/name String (NEW) Supplier company name.
RS/services/service/provider/emergencyNumber String (NEW) Emergency assistance phone number provided by the supplier.
RS/bookingRS/bookings/booking/clientReference String Client internal booking reference
RS/bookings/booking/remark String Comments.NOTE:The character limit in this field is 2000 characters.
RS/bookings/booking/invoiceCompany Element Element that contains information about the invoice company
RS/bookings/booking/invoiceCompany/code String Code of the invoice company
RS/bookings/booking/supplier Element Supplier information  
RS/bookings/booking/supplier/name String Supplier name
RS/bookings/booking/supplier/vatNumber String Supplier VAT number 
RS/bookings/booking/totalAmount String Total amount
RS/bookings/booking/totalNetAmount String Total net amount
RS/bookings/booking/pendingAmount String Pending amount
RS/bookings/booking/currency String Currency
RS/bookings/booking/transfers/transfer/links Array of link elements Information on the navigation links available from the current operation
RS/bookings/booking/transfers/transfer/links/link Element Link information
RS/bookings/booking/transfers/transfer/links/link/rel String Specifies the relationship between the current document and the linked document/resource
RS/bookings/booking/transfers/transfer/links/link/href String Specifies the path of the resource the link goes to
RS/bookings/booking/transfers/transfer/links/link/method String HTTP method
{
  "bookings": [
    {
      "reference": "102-20100194",
      "bookingFileId": null,
      "creationDate": "2026-02-03T12:54:52",
      "status": "CONFIRMED",
      "modificationsPolicies": {
        "cancellation": true,
        "modification": true
      },
      "holder": {
        "name": "John",
        "surname": "Doe",
        "email": "john.doe@hotelbeds.com",
        "phone": "+16543245812"
      },
      "transfers": [
        {
          "id": 1,
          "rateKey": "ARRIVAL|IATA|BCN|ATLAS|57|2026-05-08|10:00|2026-05-08|10:00|2~0~0||3|||||102|PRVT||CR|STND|37.35||||43|57|SIMPLE|a1f662fd31f7b2b2da13f2c08487037a|1444356|T|bfmghpcvn9jkxqcwnsfsbpn4|2026-02-03|12:40",
          "status": "CONFIRMED",
          "transferType": "PRIVATE",
          "vehicle": {
            "code": "CR",
            "name": "Car"
          },
          "category": {
            "code": "STND",
            "name": "Standard"
          },
          "pickupInformation": {
            "from": {
              "code": "BCN",
              "description": "Barcelona Airport",
              "type": "IATA",
              "typeEnum": "IATA"
            },
            "to": {
              "code": "57",
              "description": "Barcelona Universal",
              "type": "ATLAS",
              "typeEnum": "ATLAS"
            },
            "date": "2026-05-08",
            "time": "10:00:00",
            "pickup": {
              "address": null,
              "number": null,
              "town": null,
              "zip": null,
              "description": "Supplier Name: MyTransfers - Spain, Supplier Emergency Contact Phone: +34 911880435 / +1 8449561190 /  WhatsApp (Text Only): +1 8449561190 .\n\n\nFINDING YOUR DRIVER\nPlease proceed to the meeting area in your terminal, where your driver/representative will be waiting holding a sign with your name on it.\n\nTerminal 1: Right after baggage claim, proceed to the drivers waiting area located near the Go Natural Cafe.\nTerminal 2: Right after baggage claim, please proceed to the arrivals hall.\n\nIdentify yourself by showing your voucher to the Supplier, for whom we act as a booking agent.\n\nImportant note: Your driver will arrive at the airport 15 minutes AFTER the flight has landed, this is to allow the lengthy process of reaching the arrivals hall. Your driver will then wait for a maximum of a further 60 minutes upon their arrival if you have booked a Standard Service, and 75 min if you have booked a Premium Service. If you arrive before the 15 minutes, please contact the supplier on their office or emergency number below, advise that you are ready to be transferred and wait for the driver at the meeting point. \n\n\n\nIn the event of delays over 60 minutes on arrival you must call the supplier. There are 60 minutes wait time included from your flight landing/cruise disembarkation time/train arrival time.\n\nIF YOU CAN'T LOCATE YOUR DRIVER, please contact them directly by clicking on this link https://hbd.htxstaging.com.\nYou will need an internet or mobile phone connection to be able to call/message your driver.\n\nPlease don't attempt to contact your driver until you are at the agreed meeting point as, with the best intentions of providing you with the most efficient service, driver information is subject to change. If you are unable to locate your driver using CheckPickup, contact your supplier for assistance. Do not leave without having contacted your supplier using the details below first.\n\nDISCLAIMER HolidayTaxis Group Limited (part of HBX Group) processes your personal data for the purpose of providing you with contracted travel services. For more information about how we process your personal data, please refer to the Privacy Policy.You have the right to access, rectify, delete, and restrict the processing of your data, as well as other rights recognized by applicable law. You can exercise these rights by contacting us at dataprotection@holidaytaxis.com",
              "altitude": null,
              "latitude": 41.297475,
              "longitude": 2.083318,
              "checkPickup": {
                "mustCheckPickupTime": true,
                "url": "www.checkpickup.com",
                "hoursBeforeConsulting": 24
              },
              "pickupId": null,
              "stopName": null,
              "image": null
            }
          },
          "paxes": [
            {
              "type": "ADULT",
              "age": 30
            },
            {
              "type": "ADULT",
              "age": 30
            }
          ],
          "content": {
            "vehicle": {
              "code": "CR",
              "name": "Car"
            },
            "category": {
              "code": "STND",
              "name": "Standard"
            },
            "images": [
              {
                "url": "https://assets.htxstaging.com/imgs/default/vehicle_set/private.jpg",
                "type": "EXTRALARGE"
              },
              {
                "url": "https://assets.htxstaging.com/imgs/default/vehicle_set/private.jpg",
                "type": "LARGE"
              },
              {
                "url": "https://assets.htxstaging.com/imgs/default/vehicle_set/private.jpg",
                "type": "MEDIUM"
              },
              {
                "url": "https://assets.htxstaging.com/imgs/default/vehicle_set/private.jpg",
                "type": "SMALL"
              }
            ],
            "transferDetailInfo": [
              {
                "id": "TRFTIME",
                "name": "Transfer time",
                "description": "min. Estimated journey time",
                "type": "GENERAL_INFO",
                "value": "30"
              },
              {
                "id": "MINPAX",
                "name": "Minimum pax",
                "description": "passenger(s) minimum",
                "type": "GENERAL_INFO",
                "value": "1"
              },
              {
                "id": "MAXPAX",
                "name": "Maximum pax",
                "description": "passenger(s) maximum",
                "type": "GENERAL_INFO",
                "value": "3"
              },
              {
                "id": "LUGGAGE",
                "name": "Number of suitcases",
                "description": "suitcases permitted",
                "type": "GENERAL_INFO",
                "value": "3"
              }
            ],
            "customerTransferTimeInfo": [],
            "supplierTransferTimeInfo": [
              {
                "value": 60,
                "type": "SUPPLIER_MAX_WAITING_TIME",
                "metric": "minutes",
                "remarks": "In the event of delays over 60 minutes on arrival you must call the supplier. There are 60 minutes wait time included from your flight landing/cruise disembarkation time/train arrival time."
              }
            ],
            "transferRemarks": [
              {
                "type": "CONTRACT",
                "description": "Supplier Name: MyTransfers - Spain, Supplier Emergency Contact Phone: +34 911880435 / +1 8449561190 /  WhatsApp (Text Only): +1 8449561190 .\n\n\nFINDING YOUR DRIVER\nPlease proceed to the meeting area in your terminal, where your driver/representative will be waiting holding a sign with your name on it.\n\nTerminal 1: Right after baggage claim, proceed to the drivers waiting area located near the Go Natural Cafe.\nTerminal 2: Right after baggage claim, please proceed to the arrivals hall.\n\nIdentify yourself by showing your voucher to the Supplier, for whom we act as a booking agent.\n\nImportant note: Your driver will arrive at the airport 15 minutes AFTER the flight has landed, this is to allow the lengthy process of reaching the arrivals hall. Your driver will then wait for a maximum of a further 60 minutes upon their arrival if you have booked a Standard Service, and 75 min if you have booked a Premium Service. If you arrive before the 15 minutes, please contact the supplier on their office or emergency number below, advise that you are ready to be transferred and wait for the driver at the meeting point. \n\n\n\nIn the event of delays over 60 minutes on arrival you must call the supplier. There are 60 minutes wait time included from your flight landing/cruise disembarkation time/train arrival time.\n\nIF YOU CAN'T LOCATE YOUR DRIVER, please contact them directly by clicking on this link https://hbd.htxstaging.com.\nYou will need an internet or mobile phone connection to be able to call/message your driver.\n\nPlease don't attempt to contact your driver until you are at the agreed meeting point as, with the best intentions of providing you with the most efficient service, driver information is subject to change. If you are unable to locate your driver using CheckPickup, contact your supplier for assistance. Do not leave without having contacted your supplier using the details below first.\n\nDISCLAIMER HolidayTaxis Group Limited (part of HBX Group) processes your personal data for the purpose of providing you with contracted travel services. For more information about how we process your personal data, please refer to the Privacy Policy.You have the right to access, rectify, delete, and restrict the processing of your data, as well as other rights recognized by applicable law. You can exercise these rights by contacting us at dataprotection@holidaytaxis.com",
                "mandatory": true
              }
            ]
          },
          "price": {
            "totalAmount": 37.35,
            "transferAmount": 37.35,
            "extrasAmount": 0.00,
            "netAmount": null,
            "currencyId": "EUR"
          },
          "cancellationPolicies": [
            {
              "amount": 37.35,
              "from": "2026-05-07T00:00:00",
              "utcOffset": "+02:00",
              "currencyId": "EUR",
              "isForceMajeure": false
            }
          ],
          "factsheetId": 43,
          "arrivalFlightNumber": "XR1234",
          "departureFlightNumber": null,
          "arrivalShipName": null,
          "departureShipName": null,
          "arrivalTrainInfo": null,
          "departureTrainInfo": null,
          "transferDetails": [
            {
              "type": "FLIGHT",
              "direction": "ARRIVAL",
              "code": "XR1234",
              "companyName": null
            }
          ],
          "sourceMarketEmergencyNumber": "34971211630",
          "links": [
            {
              "rel": "transferCancel",
              "href": "/booking/en/reference/102-20100194",
              "method": "DELETE"
            }
          ],
          "vouchers": null
        }
      ],
      "clientReference": "AGENCIES REFERENCE",
      "remark": "",
      "invoiceCompany": {
        "code": "CH1"
      },
      "supplier": {
        "name": "HOTELBEDS SPAIN, S.L.U",
        "vatNumber": "ESB28916765"
      },
      "totalAmount": 37.35,
      "totalNetAmount": 37.35,
      "pendingAmount": 37.35,
      "currency": "EUR",
      "links": [
        {
          "rel": "self",
          "href": "/booking/en/reference/102-20100194",
          "method": "GET"
        },
        {
          "rel": "bookingDetail",
          "href": "/booking/en/reference/102-20100194",
          "method": "GET"
        },
        {
          "rel": "bookingCancel",
          "href": "/booking/en/reference/102-20100194",
          "method": "DELETE"
        }
      ],
      "paymentDataRequired": true
    }
  ]
}

Post Booking Operations

Once you have confirmed bookings, there's a series of operations that can be performed:

  • BookingDetail: To retrieve the information of a specific booking.
  • BookingCancellation: To cancel a booking.

Bear in mind that you will need the booking reference of the bookings you carried out to perform this operation